#!/usr/bin/env python3
# -*- encoding: utf-8 -*-
"""
@File    :   main.py
@Time    :   2024-05-02 12:16
@Author  :   坐公交也用券
@Version :   1.0
@Contact :   faith01238@hotmail.com
@Homepage : https://liumou.site
@Desc    :   是否Python实现定时任务
"""
from argparse import ArgumentParser
from os import path, getcwd
from apscheduler.schedulers.blocking import BlockingScheduler
from datetime import datetime
import tomllib

def your_task():
	# 这里放置你需要执行的任务代码
	print(f"执行任务的时间：{datetime.now()}")


if __name__ == '__main__':
	default_config = path.join(getcwd(), "config.conf")
	arg = ArgumentParser(description='当前脚本版本: 3.4', prog="甜糖二进制安装")
	h = f"指定配置文件,默认: {default_config}"
	arg.add_argument('-c', '--conf', type=str, help=h, default=default_config, required=False)
	args = arg.parse_args()
	arg_conf = args.conf
	# 创建调度器
	scheduler = BlockingScheduler()

	# 添加定时任务，设置每天21点执行
	scheduler.add_job(your_task, 'cron', hour=21, minute=0)

	# 启动调度器
	scheduler.start()
